Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.spi
Interface PersistenceCapable.ObjectIdFieldSupplier

All Known Subinterfaces:
  PersistenceCapable.ObjectIdFieldManager

Enclosing class:
  PersistenceCapable

public static interface PersistenceCapable.ObjectIdFieldSupplier

This interface is used to provide fields to the Object id instance. It is used by the method copyKeyFieldsToObjectId. When the method is called, the generated code calls the instance of ObjectIdFieldManager for each field in the object id.

Method Summary
`boolean` | `fetchBooleanField(int fieldNumber)` Fetch one field from the field manager.
`byte` | `fetchByteField(int fieldNumber)` Fetch one field from the field manager.
`char` | `fetchCharField(int fieldNumber)` Fetch one field from the field manager.
`double` | `fetchDoubleField(int fieldNumber)` Fetch one field from the field manager.
`float` | `fetchFloatField(int fieldNumber)` Fetch one field from the field manager.
`int` | `fetchIntField(int fieldNumber)` Fetch one field from the field manager.
`long` | `fetchLongField(int fieldNumber)` Fetch one field from the field manager.
`java.lang.Object` | `fetchObjectField(int fieldNumber)` Fetch one field from the field manager.
`short` | `fetchShortField(int fieldNumber)` Fetch one field from the field manager.
`java.lang.String` | `fetchStringField(int fieldNumber)` Fetch one field from the field manager.

Method Detail

### fetchBooleanField

    public boolean fetchBooleanField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchCharField

    public char fetchCharField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchByteField

    public byte fetchByteField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchShortField

    public short fetchShortField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchIntField

    public int fetchIntField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchLongField

    public long fetchLongField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchFloatField

    public float fetchFloatField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchDoubleField

    public double fetchDoubleField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchStringField

    public java.lang.String fetchStringField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchObjectField

    public java.lang.Object fetchObjectField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD